> ## Documentation Index
> Fetch the complete documentation index at: https://docs.orderprotection.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Update Fulfillment



## OpenAPI

````yaml put /v1/orders/{sourceOrderId}/fulfillments/{sourceFulfillmentId}
openapi: 3.0.0
info:
  title: Orders Service
  description: Orders service API
  version: 1.0.0
  contact: {}
servers:
  - url: https://api.production.orderprotection.com
    description: Production server
security: []
tags:
  - name: orders
    description: ''
paths:
  /v1/orders/{sourceOrderId}/fulfillments/{sourceFulfillmentId}:
    put:
      tags:
        - Fulfillments
      summary: Update Fulfillment
      operationId: FulfillmentsController_updateFulfillment
      parameters:
        - name: sourceFulfillmentId
          required: true
          in: path
          schema:
            type: string
        - name: sourceOrderId
          required: true
          in: path
          schema:
            type: string
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/UpdateFulfillmentStatusInput'
      responses:
        '200':
          description: The fulfillment has been successfully updated.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/OkStatusResponse'
        '400':
          description: Bad Request.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/BadRequestExceptionResponse'
        '401':
          description: Unauthorized.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/UnauthorizedExceptionResponse'
        '404':
          description: Order, order item or fulfillment not found.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/NotFoundExceptionResponse'
      security:
        - bearer: []
components:
  schemas:
    UpdateFulfillmentStatusInput:
      type: object
      properties:
        status:
          type: string
          description: >-
            Fulfillment Status, update the fulfillment status to let us know if
            the fulfillment is in progress, fulfilled, or canceled
          example: fulfilled
          enum:
            - DELIVERED
            - FULFILLED
            - UNFULFILLED
            - PARTIALLY_FULFILLED
            - AWAITING_SHIPMENT
            - SCHEDULED
            - ON_HOLD
            - ATTEMPTED_DELIVERY
            - CARRIER_PICKED_UP
            - CONFIRMED
            - DELAYED
            - FAILURE
            - IN_TRANSIT
            - LABEL_PRINTED
            - LABEL_PURCHASED
            - OUT_FOR_DELIVERY
            - PICKED_UP
            - READY_FOR_PICKUP
      required:
        - status
    OkStatusResponse:
      type: object
      properties:
        status:
          type: string
          readOnly: true
          deprecated: false
          example: ok
      required:
        - status
    BadRequestExceptionResponse:
      type: object
      properties:
        message:
          type: string
          readOnly: true
          example: '''sourceOrderId'' is required'
        statusCode:
          type: number
          readOnly: true
          example: 400
      required:
        - message
        - statusCode
    UnauthorizedExceptionResponse:
      type: object
      properties:
        message:
          type: string
          readOnly: true
          example: Unauthorized
        statusCode:
          type: number
          readOnly: true
          example: 401
      required:
        - message
        - statusCode
    NotFoundExceptionResponse:
      type: object
      properties:
        message:
          type: string
          readOnly: true
          example: Not Found
        error:
          type: string
          readOnly: true
          example: Not Found
        statusCode:
          type: number
          readOnly: true
          example: 404
      required:
        - message
        - error
        - statusCode
  securitySchemes:
    bearer:
      scheme: bearer
      bearerFormat: JWT
      type: http

````